package categoryrepository

import (
	"legalgo-BE-go/database"
)

func (a *accessor) GetBulks(ids []string) ([]database.CategoryModel, error) {
	var categories []database.CategoryModel

	if err := a.DB.Find(&categories, "id IN ?", ids).Error; err != nil {
		return nil, err
	}

	return categories, nil
}
